### Method

# Aravis Interface get_device_model

since: 0.6.0

#### Declaration [src]

    const char*
    arv_interface_get_device_model (
      ArvInterface* iface,
      unsigned int index
    )

#### Description [src]

Queries the device model.

Prior to this call the `arv_interface_update_device_list()` function must be called.

Available since: 0.6.0

#### Parameters

`index`

  Type: `unsigned int`

  Device index.

#### Return value

Type: `const char*`

The device model, NULL on error.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.